%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %build_for_corp3
%define distversion C30
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%endif

%if %mdkversion < 200700
%define subrel 2
%endif

%define name    mozilla-thunderbird-enigmail-l10n
%define oname   mozilla-thunderbird-enigmail
%define version 2.0.0.12
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define thunderbird_version %{version}
%define enigmail_version 0.9x
%define mozillalibdir %{_libdir}/thunderbird-%{version}
%define xpidir http://www.mozilla-enigmail.org/downloads/lang/%{enigmail_version}

# Supported l10n language lists
%define l10n_langlist	ca cs de el es es_AR fi fr hu it ja ko nb nl pl pt pt_BR ro ru sk sl sv tr zh_CN zh_TW

# Disabled l10n languages, for any reason
# cs nl pt sk sl es_AR do not support 0.95.0 yet
#define disabled_l10n_langlist	cs nl pt sk es_AR
%define disabled_l10n_langlist %{nil}

# Language descriptions
%define language_ca ca-AD
%define langname_ca Catalan
%define language_cs cs-CZ
%define langname_cs Czech
%define language_de de
%define langname_de German
%define language_el el
%define langname_el Greek
%define language_es_AR es-AR
%define langname_es_AR Spanish (Argentina)
%define language_es es-ES
%define langname_es Spanish
%define language_fi fi-FI
%define langname_fi Finnish
%define language_fr fr-FR
%define langname_fr French
%define language_hu hu-HU
%define langname_hu Hungarian
%define language_it it-IT
%define langname_it Italian
%define language_ja ja-JP
%define langname_ja Japanese
%define language_ko ko-KR
%define langname_ko Korean
%define language_nb nb-NO
%define langname_nb Norwegian Bokmaal
%define langname_nl Dutch
%define language_nl nl-NL
%define language_pl pl-PL
%define langname_pl Polish
%define langname_pt Portuguese
%define language_pt pt-PT
%define language_pt_BR pt-BR
%define langname_pt_BR Brazilian portuguese
%define language_ro ro-RO
%define langname_ro Romanian
%define language_ru ru-RU
%define langname_ru Russian
%define language_sk sk-SK
%define langname_sk Slovak
%define language_sl sl-SI
%define langname_sl Slovenian
%define language_sv sv-SE
%define langname_sv Swedish
%define language_tr tr-TR
%define langname_tr Turkish
%define langname_zh_CN Simplified Chinese
%define language_zh_CN zh-CN
%define language_zh_TW zh-TW
%define langname_zh_TW Traditional Chinese

# --- Danger line ---

# All langs
%{expand:%%define langlist %(for lang in %l10n_langlist; do echo "$lang"; done | sort -u | sed ':a;$!N;s/\n/ /;ta')}

# Defaults (all languages enabled by default)
# l10n
%{expand:%(for lang in %l10n_langlist; do echo "%%define l10n_$lang 1"; done)}
%{expand:%(for lang in %disabled_l10n_langlist; do echo "%%define l10n_$lang 0"; done)}

# Params
%{expand:%(for lang in %langlist; do echo "%%bcond_without $lang"; done)}

# Locales
%{expand:%(for lang in %l10n_langlist; do echo "%%define locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

# Macro for easy adding i18n sources
# auto-increment as called.
%define src 200

%define l10nsrc() Source%src: %{xpidir}/enigmail-%{1}-0.9x.xpi\
%define src2 %(echo $((%src+1)))\
%define src %{src2}

Summary:   Localizations for Enigmail (virtual package)
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:     Networking/Mail
Url:       http://enigmail.mozdev.org/
# Language package template
Source0: %{name}-template.spec
Source1: enigmail-cs-chrome.manifest
# l10n sources
%{expand:%(\
	for lang in %l10n_langlist; do\
		echo "%%{expand:%%l10nsrc %%{language_$lang}}";\
	done\
	)
}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libxml2-utils

%description
Localizations for Enigmail

# Expand all languages packages.
%{expand:%(\
        for lang in %langlist; do\
                echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.spec 2> /dev/null)}";\
        done\
        )
}

%prep
%setup -q -c -T

# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "with_$lang=%%{with $lang}"; done)}
%{expand:%(for lang in %l10n_langlist; do echo "l10n_$lang=%%{l10n_$lang}"; done)}

# Unpack all languages
for lang in %l10n_langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	l10n="l10n_$lang"
	l10n=${!l10n}
	[ $l10n -eq 0 ] && continue

	language="language_$lang"
	language=${!language}
	mkdir ${language}
	cd ${language}
	unzip %{_sourcedir}/enigmail-${language}-0.9x.xpi
	cd ..
done

# Remove some blundled trash
find -type f -name '*.spec' -exec rm -f {} \;
find -type f -name install.js -exec rm -f {} \;

# Disable version check
#sed -i -e 's/maxVersion>.*</maxVersion>2.0.*</g' */install.rdf

# Patches
#cd ${language_pt}
#patch4 -p0
#cd ..

# Fixes missing cs manifest
if [ "$l10n_cs" == "1" ]; then
	cp -f %{_sourcedir}/enigmail-cs-chrome.manifest %{_builddir}/%{name}-%{version}/cs-CZ/chrome.manifest
fi

%build
# All install.rdf files must validate
xmllint --noout */install.rdf

%install
rm -rf %buildroot

# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "with_$lang=%%{with $lang}"; done)}
%{expand:%(for lang in %l10n_langlist; do echo "l10n_$lang=%%{l10n_$lang}"; done)}

# Install all languages
for lang in %langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	l10n="l10n_$lang"
	l10n=${!l10n}
	[ $l10n -eq 0 ] && continue

	language="language_$lang"
	language=${!language}
	cd $language
	LANGPACK=`grep -m 1 em:id install.rdf | sed -e 's/.*\({[^}]*}\).*/\1/'`
	mkdir -p %buildroot%{mozillalibdir}/extensions/$LANGPACK
	cp -f -r * %buildroot%{mozillalibdir}/extensions/$LANGPACK
	echo "%{mozillalibdir}/extensions/$LANGPACK" > %{_builddir}/%{name}-%{version}/$lang.list
	cd ..
done

%clean
rm -rf %buildroot




%changelog
* Thu Mar 06 2008 Vincent Danen <vdanen@mandriva.com> 2.0.0.12-1mdv2008.1
- build for updates

* Wed Feb 27 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.12-1mdv2008.1
+ Revision: 175890
- Rebuilt against TB 2.0.0.12

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 02 2007 Funda Wang <fundawang@mandriva.org> 2.0.0.9-2mdv2008.1
+ Revision: 114432
- add more languages

* Sun Dec 02 2007 Funda Wang <fundawang@mandriva.org> 2.0.0.9-1mdv2008.1
+ Revision: 114427
- rebuild for tb 2.0.0.9

* Thu Aug 02 2007 Funda Wang <fundawang@mandriva.org> 2.0.0.6-1mdv2008.0
+ Revision: 58219
- Rebuild for tb 2.0.0.6
- add ko lang

* Fri Jun 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.4-1mdv2008.0
+ Revision: 39995
- Synced with thunderbird version. 2.0.0.4

* Mon May 07 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.0-2mdv2008.0
+ Revision: 24491
- Updated pt-PT and sl-SI l10n
- Re-enabled sl l10n, as it supports enigmail 0.95.0 now.
- Do not generate packages for those langs that are disabled.
- Disabled outdated l10n: cs nl pt sk sl es_AR
- Protect cs l10n patch as it's disabled now.
- Updated ru-RU and sv-SE l10ns.
- Re-enabled version check by now: new strings in place, we must match versions
  to make sure it works.
- Updated pt_BR l10n: use Erico Mendon?\195?\167a updates.

* Mon Apr 23 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.0-1mdv2008.0
+ Revision: 17394
- Updated enigmail pt_BR l10n
- Updated lang packs.
- Sync version with thunderbird one.


* Tue Feb 13 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0b2-1mdv2007.0
+ Revision: 120362
- Added missing Source tag for source enigmail-cs-chrome.manifest.
- Added support for Thunderbird 2.0b2

* Tue Jan 09 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.5.0.9-1mdv2007.1
+ Revision: 106428
- Synced with new upstream.
- Import mozilla-thunderbird-enigmail-l10n

* Thu Nov 09 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.8-1mdv2007.0
+ Revision: 79563
-Rebuild for Thunderbird 1.5.0.8
-Add new langpacks for es-AR, sl, sk, sv and el locales
-Fix descriptions and url
- Rebuild for thunderbird 1.5.0.7
  Fix zh_CN package
- Remove unneeded files
  Fix cs and fi packages

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix packages name
    - Add BuildRequire
    - Fix Version Check
    - import mozilla-enigmail-l10n-1.5.0.5-2mdv2007.0

